package de.telekom.silly_game;

import org.springframework.web.bind.annotation.*;

import java.util.Collections;
import java.util.Map;
import java.util.concurrent.atomic.AtomicInteger;

@RestController
@RequestMapping("/game")
public class GameController {

    @GetMapping("/start")
    public String startGame() {
        return "Game started!";
    }

    private AtomicInteger jumpCount = new AtomicInteger(0);

    @GetMapping("/jump")
    public Map<String, Integer> registerJump() {
        int total = jumpCount.incrementAndGet();
        total = total/2;
        System.out.println(total);
        return Collections.singletonMap("totalJumps", total);
    }

}